package org.example.mybatisplus.model.auto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.baomidou.mybatisplus.annotation.*;

import java.util.Date;


/**
 * 企业风险信息校验规则对象 cms_ent_risk_info_ckt_rule
 *
 * @author 各类开发联系微信：qiubbstop     fuce
 * @date 2025-03-09 23:36:33
 */
@TableName("cms_ent_risk_info_ckt_rule")
public class CmsEntRiskInfoCktRule  {

	private static final long serialVersionUID = 1L;

	/** 主键 */
	@TableId(type = IdType.ASSIGN_ID)
	@JsonSerialize(using = ToStringSerializer.class)
	@ApiModelProperty(value = "主键")
	private Long ruleId;

	/** 规则名称 */
	@ApiModelProperty(value = "规则名称")
	private String ruleName;

	/** 规则 */
	@ApiModelProperty(value = "规则")
	private String rules;

	/** 所属租户 */
	@ApiModelProperty(value = "所属租户")
	private Long tenantId;

	/** 创建人 */
	@ApiModelProperty(value = "创建人")
	private String createdBy;

	/** 修改人 */
	@ApiModelProperty(value = "修改人")
	private String modifiedBy;
	/** 创建时间 */
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
	@ApiModelProperty(value = "创建时间")
	private Date createdTime;
	/** 修改时间 */
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
	@ApiModelProperty(value = "修改时间")
	private Date modifiedTime;
	
	@JsonProperty("ruleId")
	public Long getRuleId() {
		return ruleId;
	}

	public void setRuleId(Long ruleId) {
		this.ruleId =  ruleId;
	}
	@JsonProperty("ruleName")
	public String getRuleName() {
		return ruleName;
	}

	public void setRuleName(String ruleName) {
		this.ruleName =  ruleName;
	}
	@JsonProperty("rules")
	public String getRules() {
		return rules;
	}

	public void setRules(String rules) {
		this.rules =  rules;
	}
	@JsonProperty("tenantId")
	public Long getTenantId() {
		return tenantId;
	}

	public void setTenantId(Long tenantId) {
		this.tenantId =  tenantId;
	}
	@JsonProperty("createdBy")
	public String getCreatedBy() {
		return createdBy;
	}

	public void setCreatedBy(String createdBy) {
		this.createdBy =  createdBy;
	}
	@JsonProperty("modifiedBy")
	public String getModifiedBy() {
		return modifiedBy;
	}

	public void setModifiedBy(String modifiedBy) {
		this.modifiedBy =  modifiedBy;
	}
	@JsonProperty("createdTime")
	public Date getCreatedTime() {
		return createdTime;
	}

	public void setCreatedTime(Date createdTime) {
		this.createdTime =  createdTime;
	}
	@JsonProperty("modifiedTime")
	public Date getModifiedTime() {
		return modifiedTime;
	}

	public void setModifiedTime(Date modifiedTime) {
		this.modifiedTime =  modifiedTime;
	}

																
	public CmsEntRiskInfoCktRule(Long ruleId,String ruleName,String rules,Long tenantId,String createdBy,String modifiedBy,Date createdTime,Date modifiedTime) {
		this.ruleId = ruleId;
		this.ruleName = ruleName;
		this.rules = rules;
		this.tenantId = tenantId;
		this.createdBy = createdBy;
		this.modifiedBy = modifiedBy;
		this.createdTime = createdTime;
		this.modifiedTime = modifiedTime;
	}

	public CmsEntRiskInfoCktRule() {
	    super();
	}

}